BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


Name:           jibx
Version:        1.1.5
Release:        alt1_1jpp1.7
Epoch:          0
Summary:        JiBX is a framework for binding XML data to Java objects.
License:        Public Domain
Url:            http://jibx.sourceforge.net/
Group:          Development/Java
Source0:        %{name}_1_1_5.tar.bz2
Source1:        jibx-bind-1.1.5.pom
Source2:        jibx-extras-1.1.5.pom
Source3:        jibx-run-1.1.5.pom

BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: ant
BuildRequires: junit
BuildRequires: asm2 >= 2.1
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: qdox
BuildRequires: wstx
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: xmlpull-api >= 1.1.4
BuildRequires: xpp3
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

Requires: asm2 >= 2.1
Requires: bcel
Requires: bea-stax-api
Requires: qdox
Requires: wstx
Requires: dom4j
Requires: jdom
Requires: xmlpull-api >= 1.1.4
Requires: xpp3
Requires(post): jpackage-utils >= 0:1.7.2
Requires(postun): jpackage-utils >= 0:1.7.2

%if ! %{gcj_support}
BuildArch:      noarch
%endif


%description
JiBX is a framework for binding XML data to Java objects. It lets you
work with data from XML documents using your own class structures.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
for j in $(find lib -name "*.jar"); do
    mv $j $j.no
done


%build

# dom4j and jdom are optional. If povided, jibx-extras is built with
# support for those models

build-jar-repository -p lib \
asm2/asm2 \
asm2/asm2-commons \
bcel \
bea-stax-api \
dom4j \
jdom \
qdox \
wstx/wstx-asl \
xmlpull-api \
xpp3

pushd build/
sed -i -e s:stax-api.jar:bea-stax-api.jar:g build.xml
sed -i -e s:wstx-asl.jar:wstx-asl.jar:g build.xml
ant current devdoc testing

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for sub_component in bind extras run; do
install -m 644 lib/jibx-${sub_component}.jar \
     $RPM_BUILD_ROOT%{_javadir}/%{name}/${sub_component}-%{version}.jar
done

%add_to_maven_depmap org.jibx %{name}-bind %{version} JPP/%{name} bind
%add_to_maven_depmap jibx %{name}-bind %{version} JPP/%{name} bind
%add_to_maven_depmap org.jibx %{name}-extras %{version} JPP/%{name} extras
%add_to_maven_depmap jibx %{name}-extras %{version} JPP/%{name} extras
%add_to_maven_depmap org.jibx %{name}-run %{version} JPP/%{name} run
%add_to_maven_depmap jibx %{name}-run %{version} JPP/%{name} run

# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bind.pom
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extras.pom
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extras.pom


install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/dev/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*-%{version}.jar.*
%endif


%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Jul 31 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.1.5-alt1_1jpp1.7
- updated to new jpackage release

* Tue Jun 05 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.1-alt1_0.b3.1jpp1.7
- converted from JPackage by jppimport script

